%define upstream_name	 CSS-Tiny
%define upstream_version 1.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Read/Write .css files with as little code as possible
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CSS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%{?perl_default_filter}

%description
CSS::Tiny is a perl class to read and write .css stylesheets with as
little code as possible, reducing load time and memory overhead.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{perl_vendorlib}/CSS
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.200.0-4.mga8
+ Revision: 1493628
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.200.0-3.mga7
+ Revision: 1266818
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.200.0-2.mga6
+ Revision: 1024726
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.200.0-1.mga6
+ Revision: 1001639
- update to 1.20

* Mon Feb 08 2016 umeabot <umeabot> 1.190.0-7.mga6
+ Revision: 942823
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.190.0-6.mga5
+ Revision: 746305
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.190.0-5.mga5
+ Revision: 733021
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.190.0-4.mga5
+ Revision: 683718
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.190.0-3.mga4
+ Revision: 509511
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.190.0-2.mga3
+ Revision: 363722
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.190.0-1.mga1
+ Revision: 22263
- cleaning spec file
- imported package perl-CSS-Tiny


* Fri Sep 03 2010 Jérôme Quelin <jquelin@mandriva.org> 1.190.0-1mdv2011.0
+ Revision: 575587
- update to 1.19

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.170.0-1mdv2011.0
+ Revision: 551969
- update to 1.17

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 1.150.0-1mdv2010.0
+ Revision: 402135
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.15-3mdv2009.0
+ Revision: 256389
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Nov 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.15-1mdv2008.1
+ Revision: 105303
- update to new version 1.15


* Tue Sep 05 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.14-1mdv2007.0
- New version 1.14

* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.11-2mdv2007.0
- Rebuild

* Thu Nov 03 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.11-1mdk
- New release 1.11
- spec cleanup
- %%mkrel
- make tests in %%check
- fix directory ownership

* Tue Aug 16 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.10-1mdk
- new version
- fix sources url for rpmbuildupdate

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 1.05-1mdk
- initial Mandriva package

